Matrix should not collapse after aggregation
10/11/2021 04:57 PM - Andreas Miiller
Description

As the refresh after aggregation lead to row duplications (of taxa and maybe others) it was temporarily implemented in 5.27 to fully
reload the dataset after aggregation.

This results in a collapsed tree and in bad performance as the full dataset is reloaded.

We need to find out what caused the row duplication and try to fix it.

Related issues:

Related to EDIT - feature request #9805: Open issues for DDS aggregation dial... New
Related to EDIT - bug #9015: Comparator for Character Matrix creates strange ... Resolved
Related to EDIT - bug #9843: When adding new descriptions it should not be ne... Closed

Associated revisions

Revision 727¢9cd2 - 10/29/2021 08:52 AM - Katja Luther

expand matrix after aggregation

History

#1 - 10/11/2021 04:58 PM - Andreas Miiller
- Related to feature request #9805: Open issues for DDS aggregation dialogue added

#2 - 10/11/2021 05:05 PM - Andreas Miiller
AM 2021-10-1:

... Wir missten also entweder doch herausfinden, woran es liegt, dass diese zusatzlichen Knoten entstehen. Kann man das debuggen?
Oder herausfinden, wie man den Expansionstate wieder herstellt und die Spalten Reihenfolge + Ausblendung, wenn wir bei der jetzigen vélligen
Neuberechnung bleiben.

Ubrigens ist das bisher als asynchrone longrunnig task implementiert, oder? Man kann also weiter editieren wahrend die Aggregation lauft. Das klingt

gefahrlich, wenn danach die Daten komplett geupdated werden aus der DB. Ich denke zumindest die Matrix misste wahrend der Aggregation
disabled werden um Problem zu verhindern.

#3 - 10/29/2021 10:02 AM - Katja Luther
- Status changed from New to Resolved

- Target version changed from Release 5.45 to Release 5.28
this is fixed.

#4 - 10/29/2021 11:00 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller
please review

#5 - 11/01/2021 03:23 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
- % Done changed from 0 to 10

The current solution solves that the matrix is completely collapsed which is helpful. However the aim is to keep it expanded in the same state as it
was before and to not reload the full matrix as this takes time. We only need to load the aggregation records and to add/update them where
necessary.

#6 - 11/02/2021 11:22 AM - Andreas Miiller

- Related to bug #9015: Comparator for Character Matrix creates strange result added
#7 - 11/02/2021 11:24 AM - Andreas Miiller
Andreas Muller wrote:
The current solution solves that the matrix is completely collapsed which is helpful. However the aim is to keep it expanded in the same state as

it was before and to not reload the full matrix as this takes time. We only need to load the aggregation records and to add/update them where
necessary.

Maybe the original problem was already described in #9015. So it might be only a comparator issue. Could you check this?

#8 - 11/03/2021 12:01 PM - Katja Luther

- Related to bug #9843: When adding new descriptions it should not be necessary to load the complete matrix added

#9 - 11/03/2021 12:02 PM - Katja Luther

Create a new ticket, because the original problem is solved but a nicer solution should be implemented.(#9843)

#10 - 11/03/2021 12:02 PM - Katja Luther
- Status changed from Feedback to Closed

04/10/2024 22


https://dev.e-taxonomy.eu/redmine/issues/9015
https://dev.e-taxonomy.eu/redmine/issues/9843
http://www.tcpdf.org

